# docker build -f Dockerfile.server -t kgbuilder-server:1.0 . 
FROM kgbuilder:latest


# 创建日志目录
RUN mkdir -p /app/logs

# 创建一个启动脚本
RUN echo '#!/bin/bash' > /start.sh && \
    echo 'source /opt/conda/etc/profile.d/conda.sh' >> /start.sh && \
    echo 'conda activate kgbuilder' >> /start.sh && \
    echo 'cd /app' >> /start.sh && \
    echo 'python agent/main.py' >> /start.sh && \
    chmod +x /start.sh

# 设置默认命令
CMD ["/bin/bash", "/start.sh"]
